Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface ProteinFeatureAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface ProteinFeatureAdaptor
extends Adaptor

Provides access to ProteinFeatures in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default ProteinFeatureAdaptor available from a driver.

Method Summary
`void` | `delete(long internalID)`
`void` | `delete(ProteinFeature feature)`
`ProteinFeature` | `fetch(long internalID)`
`java.util.List` | `fetch(Translation translation)`
`long` | `store(ProteinFeature feature)`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default ProteinFeatureAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public ProteinFeature fetch(long internalID)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Translation translation)
                         throws AdaptorException

  Returns:
    List of ProteinFeatureFeature corresponding to the the specified translation.
  Throws:
    `AdaptorException`

### store

    public long store(ProteinFeature feature)
               throws AdaptorException

  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Parameters:
    `internalID` - internalID of ProteinFeatureFeature to be deleted.
  Throws:
    `AdaptorException`

### delete

    public void delete(ProteinFeature feature)
                throws AdaptorException

  Parameters:
    `feature` - ProteinFeatureFeature to be deleted.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD